[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[issues] [Configure eglibc] No acceptable grep could be found



Hello,


when I configure eglibc, I have the following error:


running configure fragment for ports/sysdeps/unix/sysv/linux/mips

running configure fragment for nptl/sysdeps/pthread

running configure fragment for sysdeps/pthread

running configure fragment for sysdeps/unix/sysv/linux

checking for grep that handles long lines and -e... Usage: /bin/grep [OPTION]... PATTERN [FILE]...

Try `/bin/grep --help' for more information.

configure: error: no acceptable grep could be found in /usr/local/bin:/usr/bin:/bin:/usr/games:/usr/xpg4/bin




I have grep-2.5.4 installed on my computer.
As it is the last version, I think that it should support long lines.


I have found that the error was generated in the libc/sysdeps/unix/sysv/linux/configure file.


To validate this hypothesis, I have commented the following bloc of code in this file:



{ echo "$as_me:$LINENO: checking for grep that handles long lines and -e" >&5

echo $ECHO_N "checking for grep that handles long lines and -e... $ECHO_C" >&6; }

if test "${ac_cv_path_GREP+set}" = set; then

echo $ECHO_N "(cached) $ECHO_C" >&6

else

# Extract the first word of "grep ggrep" to use in msg output

if test -z "$GREP"; then

set dummy grep ggrep; ac_prog_name=$2

if test "${ac_cv_path_GREP+set}" = set; then

echo $ECHO_N "(cached) $ECHO_C" >&6

else

ac_path_GREP_found=false

# Loop through the user's path and test for each of PROGNAME-LIST

as_save_IFS=$IFS; IFS=$PATH_SEPARATOR

for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin

do

IFS=$as_save_IFS

test -z "$as_dir" && as_dir=.

for ac_prog in grep ggrep; do

for ac_exec_ext in '' $ac_executable_extensions; do

ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"

{ test -f "$ac_path_GREP" && $as_test_x "$ac_path_GREP"; } || continue

# Check for GNU ac_path_GREP and select it if it is found.

# Check for GNU $ac_path_GREP

case `"$ac_path_GREP" --version 2>&1` in

*GNU*)

ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;

*)

ac_count=0

echo $ECHO_N "0123456789$ECHO_C" >"conftest.in"

while :

do

cat "conftest.in" "conftest.in" >"conftest.tmp"

mv "conftest.tmp" "conftest.in"

cp "conftest.in" "conftest.nl"

echo 'GREP' >> "conftest.nl"

"$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break

diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break

ac_count=`expr $ac_count + 1`

if test $ac_count -gt ${ac_path_GREP_max-0}; then

# Best one so far, save it but keep looking for a better one

ac_cv_path_GREP="$ac_path_GREP"

ac_path_GREP_max=$ac_count

fi

# 10*(2^10) chars as input seems more than enough

test $ac_count -gt 10 && break

done

rm -f conftest.in conftest.tmp conftest.nl conftest.out;;

esac

$ac_path_GREP_found && break 3

done

done

done

IFS=$as_save_IFS

fi


GREP="$ac_cv_path_GREP"

if test -z "$GREP"; then

{ { echo "$as_me:$LINENO: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5

echo "$as_me: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}

{ (exit 1); exit 1; }; }

fi


else

ac_cv_path_GREP=$GREP

fi

fi



Without this code, I haven't the error message, and I can install eglibc-headers.


So have you a more precise idea of the problem ?
A cleaner patch ?


According to the error message, I think that a command in this part of the configuration file is incorrect. But I don't know which one.